/*
 * OpenFairDB API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.9.3
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package org.openapitools.client.model;

import java.util.Objects;
import java.util.Arrays;
import io.swagger.annotations.ApiModel;

/**
 * The start/end time of an event.  Event times are always specified in UTC, independent of the geographical location and the actual time zone at this location at the given time. Therfore these time stamps should be interpreted as a *naive* date time without any time zone. The calculation of the actual, absolute point that is needed for chronological ordering of events at different geographical locations would require a time zone database to perform this conversion.  Frontends should display and edit event times as if the event is located in the UTC time zone, neither taking into account the actual time at the geographical location of the event nor the current local time zone of the client itself! 
 */
@ApiModel(description = "The start/end time of an event.  Event times are always specified in UTC, independent of the geographical location and the actual time zone at this location at the given time. Therfore these time stamps should be interpreted as a *naive* date time without any time zone. The calculation of the actual, absolute point that is needed for chronological ordering of events at different geographical locations would require a time zone database to perform this conversion.  Frontends should display and edit event times as if the event is located in the UTC time zone, neither taking into account the actual time at the geographical location of the event nor the current local time zone of the client itself! ")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.JavaClientCodegen", date = "2020-12-19T15:07:54.107442+01:00[Europe/Rome]")
public class EventTime {

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    return true;
  }

  @Override
  public int hashCode() {
    return Objects.hash();
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class EventTime {\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

